Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class ListAttributeNamesResponse

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.ListAttributeNamesResponse

    public class ListAttributeNamesResponse

extends java.lang.Object

Constructor Summary
`ListAttributeNamesResponse()`

Method Summary
`java.util.List<LdapAttribute>` | `getAttributeList()`
`java.lang.String` | `getBaseDn()`
`java.lang.String` | `getEntryCount()`
`java.lang.String` | `getLdapAlias()`
`java.lang.String` | `getLdapQuery()`
`java.util.List<LdapEntry>` | `getSampleEntryList()`
`void` | `setAttributeList(java.util.List<LdapAttribute> attributeList)`
`void` | `setBaseDn(java.lang.String baseDn)`
`void` | `setEntryCount(java.lang.String entryCount)`
`void` | `setLdapAlias(java.lang.String ldapAlias)`
`void` | `setLdapQuery(java.lang.String ldapQuery)`
`void` | `setSampleEntryList(java.util.List<LdapEntry> sampleEntryList)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListAttributeNamesResponse

    public ListAttributeNamesResponse()

Method Detail

### getBaseDn

    public java.lang.String getBaseDn()

### setBaseDn

    public void setBaseDn(java.lang.String baseDn)

### getLdapAlias

    public java.lang.String getLdapAlias()

### setLdapAlias

    public void setLdapAlias(java.lang.String ldapAlias)

### getLdapQuery

    public java.lang.String getLdapQuery()

### setLdapQuery

    public void setLdapQuery(java.lang.String ldapQuery)

### getEntryCount

    public java.lang.String getEntryCount()

### setEntryCount

    public void setEntryCount(java.lang.String entryCount)

### getAttributeList

    public java.util.List<LdapAttribute> getAttributeList()

### setAttributeList

    public void setAttributeList(java.util.List<LdapAttribute> attributeList)

### getSampleEntryList

    public java.util.List<LdapEntry> getSampleEntryList()

### setSampleEntryList

    public void setSampleEntryList(java.util.List<LdapEntry> sampleEntryList)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.